# -*- perl -*-

#    Copyright (C) 1995  Ken MacLeod
#    This file is part of DTD Fragments.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

foreach $prefix (@INC) {
    $sdatadir = "$prefix/sdata";
    if (-d $sdatadir) {
	foreach $fileName (<$sdatadir/*.2ab>) {
	    open (ENTITYFILE, $fileName)
		|| die "$prog: Can't open $fileName: $!\n";
	    while (<ENTITYFILE>) {
		chop;
		s/&/&amp;/g;
		s/</&lt;/g;
		s/>/&gt;/g;
		s/(^[^\t]+)\t(.*)/$entities{$1} = $2/e;
	    }
	    close (ENTITYFILE);
	}
    }
}

1;
