# -*- perl -*-

#    Copyright (C) 1995  Ken MacLeod
#    This file is part of DTD Fragments.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#
# Computer Terms
#

require SROFF::ASCII::Inline;

%main::map = (%main::map,
# cptr.char.class
	      "ACTION", "Inline",
	      "APPLICATION", "InlineItalic",
	      "CLASSNAME", "InlineItalic",
	      "COMMAND", "InlineQuotedTT",
	      "COMPUTEROUTPUT", "InlineTT",
	      "DATABASE", "InlineTT",
	      "ERRORNAME", "InlineQuotedTT",
	      "ERRORTYPE", "InlineTT",
	      "FILENAME", "InlineQuotedTT",
	      "FUNCTION", "InlineQuotedTT",
	      "HARDWARE", "InlineItalic",
	      "INTERFACE", "InlineItalic",
	      "INTERFACEDEFINITION", "Inline",
	      "KEYCAP", "InlineSymbol",
	      "KEYCODE", "InlineQuotedTT",
	      "KEYSYM", "InlineSymbol",
	      "LITERAL", "InlineQuotedTT",
	      "MEDIALABEL", "Inline",
	      "MSGTEXT", "Inline",
	      "OPTION", "InlineQuotedBold",
	      "OPTIONAL", "InlineQuotedItalic",
	      "PARAMETER", "Inline",
	      "PROPERTY", "InlineQuotedItalic",
	      "REPLACEABLE", "InlineQuotedItalic",
	      "RETURNVALUE", "Inline",
	      "STRUCTFIELD", "Inline",
	      "STRUCTNAME", "Inline",
	      "SYMBOL", "InlineSymbol",
	      "SYSTEMITEM", "Inline",
	      "TOKEN", "Inline",
	      "TYPE", "Inline",
	      "USERINPUT", "Inline",


# word.char.class
	      "ABBREV", "Inline",
	      "ACRONYM", "Inline",
	      "CITATION", "Inline",
	      "CITETITLE", "InlineItalic",
	      "CITEREFENTRY", "Inline",
	      "EMPHASIS", "InlineItalic",
	      "FIRSTTERM", "InlineItalic",
	      "FOREIGNPHRASE", "InlineItalic",
	      "GLOSSTERM", "Inline",
				# Footnote
	      "MARKUP", "Inline",
	      "QUOTE", "InlineDQuoted",
	      "SGMLTAG", "InlineSymbol",
	      "TRADEMARK", "InlineBold",
	      "WORDASWORD", "InlineDQuoted",

	      );
1;
