# -*- perl -*-

#    Copyright (C) 1995  Ken MacLeod
#    This file is part of DTD Fragments.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

package SROFF;

#
# An inline wrapper.  Used when the DTD marks off an inline, but there
# is no visible difference.
#

sub enInline {
}

sub lvInline {
}

#
# Italic
#

sub enInlineItalic {
}

sub lvInlineItalic {
}

sub enInlineQuotedItalic {
    my ($self, @rest) = @_;
    $self->enInlineQuoted(@rest);
    $self->enInlineItalic(@rest);
}

sub lvInlineQuotedItalic {
    my ($self, @rest) = @_;
    $self->lvInlineItalic(@rest);
    $self->lvInlineQuoted(@rest);
}

sub enInlineBold {
}

sub lvInlineBold {
}

sub enInlineQuotedBold {
    my ($self, @rest) = @_;
    $self->enInlineQuoted(@rest);
    $self->enInlineBold(@rest);
}

sub lvInlineQuotedBold {
    my ($self, @rest) = @_;
    $self->lvInlineBold(@rest);
    $self->lvInlineQuoted(@rest);
}

sub enInlineTT {
}

sub lvInlineTT {
}

sub enInlineQuotedTT {
    my ($self, @rest) = @_;
    $self->enInlineQuoted(@rest);
    $self->enInlineTT(@rest);
}

sub lvInlineQuotedTT {
    my ($self, @rest) = @_;
    $self->lvInlineTT(@rest);
    $self->lvInlineQuoted(@rest);
}

sub enInlineQuoted {
    my ($self, @rest) = @_;
    unshift (@{$self->{quoting}}, 0);
}

sub lvInlineQuoted {
    my ($self, @rest) = @_;
    shift (@{$self->{quoting}});
}

sub enInlineDQuoted {
    my ($self, @rest) = @_;
    unshift (@{$self->{quoting}}, 0);
}

sub lvInlineDQuoted {
    my ($self, @rest) = @_;
    shift (@{$self->{quoting}});
}

sub enInlineSymbol {
}

sub lvInlineSymbol {
}

sub URL {
}

1;
